        SUBROUTINE  CX_REPL(  rdescr, ixx, iyyy, iret )
C************************************************************************
C* CX_REPL							        *
C*								        *
C* This subroutine extracts from the replication descriptor, the number	*
C* of the following descriptors to be repeated and the number of times	*
C* each of these descriptors are replicated.				*
C*								        *
C* CX_REPL  ( RDESCR, IXX, IYYY, IRET )                                 *
C*                                                                      *
C*									*
C* Input and output parameters:						*
C*	RDESCR          CHAR*           Current replication descriptor  *
C*									*
C*								        *
C* Output parameters:						        *
C*     IXX              INTEGER	        Number of descriptors repeated  *
C*     IYYY             INTEGER	        Number of times descriptors are	*
C*                                      replicated                      *
C*     IRET             INTEGER	        Return code                     *
C*				   	  0 = normal return 	        *
C*                                        1 = fatal error               *
C*								        *
C** 								        *
C* Log:								        *
C* R. Hollern/NCEP       8/03                                           *
C************************************************************************
        INCLUDE         'cxcmn.cmn'
C*
        CHARACTER       rdescr*6
        CHARACTER       fld2*2,   fld3*3
C-----------------------------------------------------------------------
        iret = 0
C
C*      Replication descriptor.
C
        fld2 = rdescr (2:3)
        CALL ST_INTG ( fld2, ixx, ier1 )
C
        fld3 = rdescr (4:6)
        CALL ST_INTG ( fld3, iyyy, ier2 )
C
        IF ( ier1 .ne. 0 .or. ier2 .ne. 0 ) THEN
           iret = 1
           loglvl = 2
           logmsg = ' '
           logmsg(1:23) = 'Replication descriptor '
           logmsg(24:29) = rdescr
           logmsg(30:51) = ' cannot be interpreted'
	   CALL DC_WLOG( loglvl, 'CX', 2, logmsg, ierwlg )
           logmsg = ' '
           logmsg(1:12) = 'FATAL ERROR '
	   CALL DC_WLOG( loglvl, 'CX', 2, logmsg, ierwlg )
           RETURN
        END IF
C*
       RETURN
       END
